Upgrade error

Get help with installation and running phpBB 3.0.x here. Please do not post bug reports, feature requests, or MOD-related questions here.
Ideas Centre
Forum rules
END OF SUPPORT: 1 January 2017 (announcement)
Locked
Schuhby
Registered User
Posts: 152
Joined: Fri Mar 21, 2008 9:11 am
Contact:

Upgrade error

Post by Schuhby » Sat Nov 27, 2010 11:51 pm

I've just upgraded my forum to 3.08 and all seemed to go well, I have now got the following showing on the front page - can someone help with this please?

I've lost all the content too but the forum is showing as upgraded.

[phpBB Debug] PHP Notice: in file /includes/functions_content.php on line 712: preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 26
[phpBB Debug] PHP Notice: in file /includes/functions.php on line 4525: Cannot modify header information - headers already sent by (output started at /includes/functions.php:3706)
[phpBB Debug] PHP Notice: in file /includes/functions.php on line 4527: Cannot modify header information - headers already sent by (output started at /includes/functions.php:3706)
[phpBB Debug] PHP Notice: in file /includes/functions.php on line 4528: Cannot modify header information - headers already sent by (output started at /includes/functions.php:3706)
[phpBB Debug] PHP Notice: in file /includes/functions.php on line 4529: Cannot modify header information - headers already sent by (output started at /includes/functions.php:3706)
[phpBB Debug] PHP Notice: in file /includes/functions_content.php on line 712: preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 26
[phpBB Debug] PHP Notice: in file /includes/functions_content.php on line 712: preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 26
[phpBB Debug] PHP Notice: in file /includes/functions_content.php on line 712: preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 26
[phpBB Debug] PHP Notice: in file /includes/functions_content.php on line 712: preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 26
[phpBB Debug] PHP Notice: in file /includes/functions_content.php on line 712: preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 26
[phpBB Debug] PHP Notice: in file /includes/functions_content.php on line 712: preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 26
[phpBB Debug] PHP Notice: in file /includes/functions_content.php on line 712: preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 26
[phpBB Debug] PHP Notice: in file /includes/functions_content.php on line 712: preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 26
Last edited by Schuhby on Sun Nov 28, 2010 3:04 pm, edited 1 time in total.

User avatar
Marshalrusty
Project Manager
Project Manager
Posts: 29252
Joined: Mon Nov 22, 2004 10:45 pm
Location: New York City
Name: Yuriy Rusko
Contact:

Re: Upgrade ..

Post by Marshalrusty » Sun Nov 28, 2010 12:05 am

The content is fine as it's in the database. The problem is the retrieval of the content is broken because of this error. When we fix the code, everything will come back up.

Walk us through exactly how you updated. Which package you used, what you did, any errors you received prior to this, etc.

Do you have any MODs installed?
Have comments/praise/complaints/suggestions? Please feel free to PM me.

Need private help? Hire me for all your phpBB and web development needs

Schuhby
Registered User
Posts: 152
Joined: Fri Mar 21, 2008 9:11 am
Contact:

Re: Upgrade ..

Post by Schuhby » Sun Nov 28, 2010 12:15 am

firstly I followed the instruction for the security issue with flash and ran the check, all came back clear with no issues.

i used the automatic update package for 3.0.7 pl1 to 3.0.8

uploaded install folder, went to the install folder and followed the instructions no errors until ftp the files, so did the manual and downloaded the files, extracted and uploaded them.

The error was that it wasn't connecting at the ftp stage.

Downloaded all files and uploaded to the relevant places and the continued thru the install which confirmed a successful upgrade. renamed install folder and the the problem started.

I only have redbar as a MOD.

Thank you for yoru help

User avatar
Brf
Support Team Member
Support Team Member
Posts: 51867
Joined: Tue May 10, 2005 7:47 pm
Location: {postrow.POSTER_FROM}
Contact:

Re: Upgrade ..

Post by Brf » Sun Nov 28, 2010 1:18 am

Are you using the word censor at all? That is where the error is occuring.

Schuhby
Registered User
Posts: 152
Joined: Fri Mar 21, 2008 9:11 am
Contact:

Re: Upgrade ..

Post by Schuhby » Sun Nov 28, 2010 1:22 am

Hi Brf

I am yes, I have censored some words to stop them being used in open forum,

User avatar
Brf
Support Team Member
Support Team Member
Posts: 51867
Joined: Tue May 10, 2005 7:47 pm
Location: {postrow.POSTER_FROM}
Contact:

Re: Upgrade ..

Post by Brf » Sun Nov 28, 2010 1:23 am

Try clearing your forum's cache folder.
Delete all of the files in /cache/ other than index.htm and .htaccess

Schuhby
Registered User
Posts: 152
Joined: Fri Mar 21, 2008 9:11 am
Contact:

Re: Upgrade ..

Post by Schuhby » Sun Nov 28, 2010 1:28 am

Ok, clearing the files, we have index.htm but we do not have .htaccess.

Cleared cache and no change..

Schuhby
Registered User
Posts: 152
Joined: Fri Mar 21, 2008 9:11 am
Contact:

Re: Upgrade ..

Post by Schuhby » Sun Nov 28, 2010 10:48 am

Support Request Template
What version of phpBB are you using? phpBB 3.0.8
What is your board's URL? http://my.decozo.com/index.php
Who do you host your board with? http://www.webhosting.uk.com/
How did you install your board? I used the download package from phpBB.com
Is your board a fresh install or a conversion? Update from a previous version of phpBB3
Do you have any MODs installed? Yes
Is registration required to reproduce this issue? No
What version of phpBB3 did you update from? phpBB 3.0.7
What MODs do you have installed? I have rebar MOD
What styles do you currently have installed? prosilver * and subsilver2
What language(s) is your board currently using? english
Which database type/version are you using? I Don't Know
What is your level of experience? Comfortable with PHP and phpBB
When did your problem begin? Problem began on upgrade - We first used the auto pack and got a connection error on ftp - We then downloaded the upgrade packs and uploaded them separately. The system said upgrade complete and successful.

We also fixed the flash error as stated on the upgrade, this was also successful and returned no issues.
Please describe your problem. Forum shows errors on the front page above the header, many lines of:

[phpBB Debug] PHP Notice: in file /includes/functions_content.php on line 712: preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 26
[phpBB Debug] PHP Notice: in file /includes/functions_content.php on line 712: preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 26
[phpBB Debug] PHP Notice: in file /includes/functions_content.php on line 712: preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 26
[phpBB Debug] PHP Notice: in file /includes/functions_content.php on line 712: preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 26
[phpBB Debug] PHP Notice: in file /includes/functions_content.php on line 712: preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 26
[phpBB Debug] PHP Notice: in file /includes/functions_content.php on line 712: preg_replace() [function.preg-replace]: Compilation failed: nothing to repeat at offset 26
Generated by SRT Generator ($Rev: 4502 $)

BluegrassHippie
Registered User
Posts: 1
Joined: Wed Dec 01, 2010 6:24 pm

Re: Upgrade error

Post by BluegrassHippie » Wed Dec 01, 2010 6:43 pm

Hi, I've just had this exact same error after an automatic update from 3.0.5-3.0.8, but thanks to this thread I have fixed the issue, thanks to Brf for pointing me in the right direction. I tried clearing the cache without success but clearing all the word censors manually via the Administration Control Panel worked. The error does not return when adding words back onto the list either.

.htaccess is a hidden file, you'll need to make sure you can "view hidden files" in order to see it.

Hope that helps you Schuhby :)

Speedy62
Registered User
Posts: 69
Joined: Thu Sep 21, 2006 8:39 pm

Re: Upgrade error

Post by Speedy62 » Sun Jan 09, 2011 2:20 pm

I have this same error.

I haave traced it back to the word censor, in particular the error occurs if I place asterisks in the word censor.

Can anyone advise why it is doing this?

Locked

Return to “[3.0.x] Support Forum”